package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcDtsx;
import org.apache.ibatis.annotations.Param;

/**
 * 动态筛选Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcDtsxMapper 
{
    /**
     * 查询动态筛选
     * 
     * @param id 动态筛选主键
     * @return 动态筛选
     */
    public TcDtsx selectTcDtsxById(Long id);

    /**
     * 查询动态筛选列表
     * 
     * @param tcDtsx 动态筛选
     * @return 动态筛选集合
     */
    public List<TcDtsx> selectTcDtsxList(TcDtsx tcDtsx);

    /**
     * 新增动态筛选
     * 
     * @param tcDtsx 动态筛选
     * @return 结果
     */
    public int insertTcDtsx(TcDtsx tcDtsx);

    /**
     * 修改动态筛选
     * 
     * @param tcDtsx 动态筛选
     * @return 结果
     */
    public int updateTcDtsx(TcDtsx tcDtsx);

    /**
     * 删除动态筛选
     * 
     * @param id 动态筛选主键
     * @return 结果
     */
    public int deleteTcDtsxById(Long id);

    /**
     * 批量删除动态筛选
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcDtsxByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
